Subject: Re: bug#38886: (read-variable) documentation doesn't match behavior

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 21 Aug 2020 16:56:36 +0200

Douglas Lewan <[email-masked]> writes:

> According to the documentation for (read-variable), this sexp
> (read-variable "?" '(all one top)) should return all if there's no
> input. It, however, signals an error instead: Wrong type argument:
> stringp, all. Indeed, this sexp (read-variable "?" '("all" "one"
> "top")) does return the symbol all
>
> I'm guessing that that is in fact the intended behavior. (In the C
> code that seems to be the case.) However, the documentation is
> ambiguous. The first paragraph of the documentation would better end
> "... if it is a list of strings."

Yup.  I've now fixed the doc string in the way you suggest in Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no